com.beanit.asn1bean.ber.types

## Class BerEnum

- java.lang.Object
- - com.beanit.asn1bean.ber.types.BerInteger
  - - com.beanit.asn1bean.ber.types.BerEnum

- All Implemented Interfaces:
    BerType, java.io.Serializable

      public class BerEnum
      extends BerInteger

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BerTag` | `tag`

    - ### Fields inherited from class com.beanit.asn1bean.ber.types.BerInteger

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BerEnum()`
    `BerEnum(java.math.BigInteger val)`
    `BerEnum(byte[] code)`
    `BerEnum(long val)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `decode(java.io.InputStream is, boolean withTag)`
    `int` | `encode(java.io.OutputStream reverseOS, boolean withTag)`

    - ### Methods inherited from class com.beanit.asn1bean.ber.types.BerInteger

      `byteValue, decode, encode, encodeAndSave, intValue, longValue, shortValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### tag

          public static final BerTag tag

  - ### Constructor Detail

    - #### BerEnum

          public BerEnum()

    - #### BerEnum

          public BerEnum(byte[] code)

    - #### BerEnum

          public BerEnum(java.math.BigInteger val)

    - #### BerEnum

          public BerEnum(long val)

  - ### Method Detail

    - #### encode

          public int encode(java.io.OutputStream reverseOS,
                            boolean withTag)
                     throws java.io.IOException

      Overrides:
        `encode` in class `BerInteger`
      Throws:
        `java.io.IOException`

    - #### decode

          public int decode(java.io.InputStream is,
                            boolean withTag)
                     throws java.io.IOException

      Overrides:
        `decode` in class `BerInteger`
      Throws:
        `java.io.IOException`